<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.xssf.model (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.xssf.model (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/extractor/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/model/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.xssf.model</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/Comments.html"
                                            title="interface in org.apache.poi.xssf.model">Comments</a></td>
                    <td class="colLast">
                        <div class="block">An interface exposing useful functions for dealing with Excel Workbook
                            Comments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                            title="interface in org.apache.poi.xssf.model">SharedStrings</a></td>
                    <td class="colLast">
                        <div class="block">Table of strings shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/Styles.html"
                                            title="interface in org.apache.poi.xssf.model">Styles</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/Themes.html"
                                            title="interface in org.apache.poi.xssf.model">Themes</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/CalculationChain.html"
                                            title="class in org.apache.poi.xssf.model">CalculationChain</a></td>
                    <td class="colLast">
                        <div class="block">The cells in a workbook can be calculated in different orders depending on
                            various optimizations and
                            dependencies.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/CommentsTable.html"
                                            title="class in org.apache.poi.xssf.model">CommentsTable</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/ExternalLinksTable.html"
                                            title="class in org.apache.poi.xssf.model">ExternalLinksTable</a></td>
                    <td class="colLast">
                        <div class="block">Holds details of links to parts of other workbooks (eg named ranges),
                            along with the most recently seen values for what they point to.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/MapInfo.html"
                                            title="class in org.apache.poi.xssf.model">MapInfo</a></td>
                    <td class="colLast">
                        <div class="block">This class implements the Custom XML Mapping Part (Open Office XML Part 1:
                            chapter 12.3.6)

                            An instance of this part type contains a schema for an XML file, and
                            information on the behavior that is used when allowing this custom XML schema
                            to be mapped into the spreadsheet.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/model/ParagraphPropertyFetcher.html"
                            title="class in org.apache.poi.xssf.model">ParagraphPropertyFetcher</a>&lt;T&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">Used internally to navigate the paragraph text style hierarchy within a shape
                            and fetch properties
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html"
                                            title="class in org.apache.poi.xssf.model">SharedStringsTable</a></td>
                    <td class="colLast">
                        <div class="block">Table of strings shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/SingleXmlCells.html"
                                            title="class in org.apache.poi.xssf.model">SingleXmlCells</a></td>
                    <td class="colLast">
                        <div class="block">This class implements the Single Cell Tables Part (Open Office XML Part 4:
                            chapter 3.5.2)
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/StylesTable.html"
                                            title="class in org.apache.poi.xssf.model">StylesTable</a></td>
                    <td class="colLast">
                        <div class="block">Table of styles shared across all sheets in a workbook.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/model/ThemesTable.html"
                                            title="class in org.apache.poi.xssf.model">ThemesTable</a></td>
                    <td class="colLast">
                        <div class="block">Class that represents theme of XLSX document.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/model/ThemesTable.ThemeElement.html"
                            title="enum in org.apache.poi.xssf.model">ThemesTable.ThemeElement</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/extractor/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/model/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
